/*
 *
 * Copyright (C) 2007-2010 SimplyCore LLC
 * All rights reserved.
 * This file is part of USB IP project.
 * Distributed under Non-disclosure agreement.
 *
 */

/* Public network definition */

#ifndef _PUBNET_
#define _PUBNET_

#define usbsignature		0x54425355	// USBT
#define controlconn		0x4C525443	// CTRL

#define cInitpacket			0x01
#define cInfopacket			0x02
#define cDatapacket			0x03
#define cPingpacket			0x04
#define cRemovepacket		0x05
#define cCallbackpacket		0x06
#define cSethandlepacket	0x07
#define cConnectRequest		0x08
#define cDisconnectRequest	0x09
#define cPropertiesPacket	0x0a
#define cCompressedDatapacket	0x0b

#define cConnectionAccept	0x10
#define cConnectionRegect	0x11

#define cPlatformOk			0x20
#define cInvalidPlatform	0x21
#define cOldPlatform		0x22
#define cRecvError			0x2a
#define cSendError			0x2b
#define cVersionIncorect	0x2c

#define cInvalidConnectionModeUP 0x2d // for universal protocol
#define cInvalidConnectionModeZS 0x2e // for z stream protocol

#define cTargetAcquire		0x30
#define cTargetBusy			0x31
#define cSyncError			0x32
#define cTargetNotFound		0x33
#define cTargetNotReady		0x34
#define cTargetUnplug		0x35
#define cTargetConnected	0x36 
#define cBadClient			0x37 
#define cClientAccept		0x38 
#define cClientRegect		0x39
#define cNetworkLicenseExc	0x3a
#define cWaitDisconnect		0x3b
#define cProtocolBroken		0x3c
#define cSpecDeviceNotFound	0x3d
#define cServerLicenseExc	0x40
#define cCryptoKeyBroken	0x41
#define cTrialExpired		0x42

#define cCreateConnection					0x43
#define cCompleteConnection					0x44
#define cCreateInfoChanel					0x45
#define cCreateCallBackInfoChanel			0x46
#define cCreateCallBackConnection			0x47
#define cCreateCallBackCompleteConnection	0x48

#define windows_2k			0x50
#define windows_xp			0x51
#define windows_2k3			0x52
#define windows_vista		0x53
#define windows_2k8			0x54
#define windows_7			0x55
#define windows_2k8_r2		0x56

#define windows_xp_64		0x70
#define windows_2k3_64		0x71
#define windows_vista_64	0x72
#define windows_2k8_64		0x73
#define windows_7_64		0x74
#define windows_2k8_r2_64	0x75

#define linux_32		0x90
#define linux_be		0x91

#define license_on_server	0xa0
#define license_on_client	0xa1

#define PingInterval				10 // sec
#define DoPingInterval	(PingInterval * 2)
#define PinggedInterval	(PingInterval * 3)

#endif //_PUBNET_
