/*
 *
 * Copyright (C) 2007-2010 SimplyCore LLC
 * All rights reserved.
 * This file is part of USB IP project.
 * Distributed under Non-disclosure agreement.
 *
 */

/* Public network USB protocol definition */

#ifndef _PUBNETPROTOCOL_
#define _PUBNETPROTOCOL_

#pragma pack (push, 1)

typedef struct _nethwid {
	uint16 idVendor;
	uint16 idProduct;
	uint16 bcdDevice;
} __attribute__((packed)) nethwid, *pnethwid;

typedef struct _netiface {
	uint8 devclass;
	uint8 devsubclass;
	uint8 devprotocol;
} __attribute__((packed)) netiface, *pnetiface;

typedef struct _tagnetheader {
	uint32	ntype;
	uint32	ndatasize;	//    
} __attribute__((packed)) netheader, *pnetheader;

typedef struct _tagnetinfopacket {
	netheader	header;
	nethwid		hwid;
	netiface	iface;
	int8		devicespeed;
	int8		status;
	uint32		handle;
	uint32		ip;
	uint32		deviceproperties;
	uint32		reserved;
	uint32		locinf_len;
	uint32		devdes_len;
	uint32		nicknm_len;
	uint32		instid_len;
} __attribute__((packed)) netinfopacket, *pnetinfopacket;

typedef struct _tagnetconnectpacket {
	netheader	header;
	uint32		handle;
} __attribute__((packed)) netconnectpacket, *pnetconnectpacket;

typedef struct _tagnetpropertiespacket {
	netheader	header;
	uint32		handle;
	uint32		properties;
} __attribute__((packed)) netpropertiespacket, *pnetpropertiespacket;

#pragma pack (pop)


#endif // _PUBNETPROTOCOL_
