/*
 *
 * Copyright (C) 2007-2010 SimplyCore LLC
 * All rights reserved.
 * This file is part of USB IP project.
 * Distributed under Non-disclosure agreement.
 *
 */

/* Public server and USB device state definition */

#ifndef _PUBSTT_
#define _PUBSTT_

typedef enum {
	eUsbDevice,
	eUsbDeviceUnknown,
	eUsbDeviceInit,
	eUsbDeviceAvailable,
	eUsbDeviceBusy,
	eUsbDeviceNotPlugged,
	eUsbDeviceConnected,
	eUsbDeviceDisconnected,
	eUsbDeviceNotAvailable,
	eUsbDeviceInactive,
	eUsbDeviceNotShared,
	eUsbDeviceDeInit
} eState;

typedef enum {
	eServerConnected,
	eServerDisconnected,
	eServerInBlackList,
	eServerPlatformConflict,
	eServerVersionConflict,
	eServerPoolFull
} eServerState;

#define localhost		0x0
#define fAutoPlugDevice 0x1
#define fExcludeDevice	0x2
#define fUseInactiveTimeout	0x4
#define fSharedDevice			0x8
#define fSerialNumberPresent	0x10
#define fNickNamePresent		0x20
#define fUsbDeviceNotShared		0x40
#define fCompressionEnabledMask	0xf000
#define fCompressionLevel_Bit1	0x1000
#define fCompressionLevel_Bit2	0x2000
#define fCompressionLevel_Bit4	0x4000
#define fCompressionLevel_Bit8	0x8000
#define fUsbDevicePropertiesValid 0x80000000

#define fAutoPlugServer 0x1
#define fCallBackServer 0x2

/*
 *  fTempServer -   ,   ,  
 *      .
 */
#define fTempServer			0x40

/*
 *  fHideUsbServer -   ,    
 *    ,    callback .
 */
#define fHideUsbServerObsolete		0x80 

/*
 *  fCallBackRequestServer -      
 *  (       callback).
 *       fHideUsbServer
 */
#define fCallBackRequestServer	0x100 

/*
 *  fAutoDeleteCallbackUsbServer -     callback 
 *         .   .
 */
#define fAutoDeleteCallbackUsbServer	0x200

/*
 *  fConnectedClient -       server-side
 */
#define fConnectedClient		0x400



#define low_speed		0x0
#define full_speed		0x1
#define high_speed		0x2
#define unknown_speed		0x3

#define EnumerateHandleLimit			0x3ffffffe
#define USBServerConnectionHandleMask	0x00000000
#define USBServerConnectionFirstHandle	0x00000001
#define USBClientConnectionHandleMask	0x80000000
#define USBClientConnectionFirstHandle	0x80000001
#define CallbackConnectionHandleMask 	0xc0000000
#define CallbackConnectionFirstHandle 	0xc0000001

#endif // _PUBSTT_
