/*
 *
 * Copyright (C) 2007-2010 SimplyCore LLC
 * All rights reserved.
 * This file is part of USB IP project.
 * Distributed under Non-disclosure agreement.
 *
 */

#ifndef __USB_STRUCT_H__
#define __USB_STRUCT_H__

#include "nettypes.h"

#pragma pack(push,1)

struct tusbd_endpoint_descriptor {
	uint8  bLength;
	uint8  bDescriptorType;
	uint8  bEndpointAddress;
	uint8  bmAttributes;
	uint16 wMaxPacketSize;
	uint8  bInterval;
} __attribute__((packed));

struct tusbd_interface_descriptor {
	uint8  bLength;
	uint8  bDescriptorType;
	uint8  bInterfaceNumber;
	uint8  bAlternateSetting;
	uint8  bNumEndpoints;
	uint8  bInterfaceClass;
	uint8  bInterfaceSubClass;
	uint8  bInterfaceProtocol;
	uint8  iInterface;
} __attribute__((packed));

struct tusbd_config_descriptor {
	uint8  bLength;
	uint8  bDescriptorType;
	uint16 wTotalLength;
	uint8  bNumInterfaces;
	uint8  bConfigurationValue;
	uint8  iConfiguration;
	uint8  bmAttributes;
	uint8  MaxPower;
} __attribute__((packed));

struct tusbd_device_descriptor {
	uint8  bLength;
	uint8  bDescriptorType;
	uint16 bcdUSB;
	uint8  bDeviceClass;
	uint8  bDeviceSubClass;
	uint8  bDeviceProtocol;
	uint8  bMaxPacketSize0;
	uint16 idVendor;
	uint16 idProduct;
	uint16 bcdDevice;
	uint8  iManufacturer;
	uint8  iProduct;
	uint8  iSerialNumber;
	uint8  bNumConfigurations;
} __attribute__((packed));

struct tusbd_ctrl_setup {
	uint8  bRequestType;
	uint8  bRequest;
	uint16 wValue;
	uint16 wIndex;
	uint16 wLength;
} __attribute__((packed));

#pragma pack(pop)

#endif /* __USB_STRUCT_H__ */
